﻿$(document).ready(function() {
  // hide the menu items to remove flash effect
  $(".menu ul li").hide();
  
  // setup search box
  var text = "Filter entities ...";
  var ptext = $.cookie("filter")||'';
  
  $("#searchbox-input").attr("value", (ptext===''?text:ptext)).css("color", "#cdcdcd");

  $("#searchbox-input").focus(function() {
    $(this).addClass("active");
    if($(this).attr("value") == text) $(this).attr("value", "").css("color", "#000000");
  });

  $("#searchbox-input").blur(function() {
    $(this).removeClass("active");
    if($(this).attr("value") == "") {
      $(this).attr("value", text).css("color", "#cdcdcd");
    }
  });
  
  $("#searchbox-input").keyup(function() {
    $.cookie("filter",$(this).val());
  });
  
  // setup search filter (attach filter menu event to search box, do a preliminary filter if necessary or show all items)
  $("#searchbox-input").filterMenu(".menu ul");
  if(ptext!==''){
    $.filterList('.menu ul',$("#searchbox-input").val())
  }
  else
  {
    $(".menu ul li").show();
  };

  // mark the appropriate menu item as selected
  //with a query string id
  //var qs = jQuery.parseQueryString();
  //$('.menu ul li a[href="/\?id='+qs['id']+'"]').parent().addClass('selected');
  //with a url part
  var url_parts = document.URL.split('//')[1].split('/');
  if(url_parts.length>2 && url_parts[1]=='db' && url_parts[2].length > 0){
    $('.menu ul li a[href*="/'+url_parts[1]+'/'+url_parts[2].split('?')[0]+'"]').parent().addClass('selected');
  }
  
  // mark any 'delete' items with a confirm prompt
  $('td.action-cell a.delete').click(function() {
    return confirm('Are you sure you want to delete this record?');
  });
});